## php8.2 8.2.29

=== debian/changelog ===
php8.2 (8.2.29-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 8.2.29
   - [CVE-2025-1735]: pgsql extension does not check for errors during
     escaping.
   - [CVE-2025-6491]: NULL Pointer Dereference in PHP SOAP Extension
     via Large XML Namespace Prefix.
   - [CVE-2025-6491]: Null byte termination in hostnames.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Jul 2025 18:16:05 +0200
