## php8.2 8.2.30

=== debian/changelog ===
php8.2 (8.2.30-3+0~20260213.84+debian11~1.gbp445d4a) unstable; urgency=medium

  ** SNAPSHOT build @445d4aa53b71b3413e4b1d7e916daa9c3bde2de4 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Fri, 13 Feb 2026 16:51:20 +0100

php8.2 (8.2.30-3) unstable; urgency=medium

  * Disable debugging output in secure DNS telemetry

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Feb 2026 16:46:53 +0100

php8.2 (8.2.30-2) unstable; urgency=medium

  * Make the apache2 configuration ReDoS resistant
  * Add a minimal privacy-preserving secure DNS telemetry to check current
    version if there are security updates available

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Feb 2026 21:34:46 +0100

php8.2 (8.2.30-1) unstable; urgency=medium

  * Add preliminary LiteSpeed SAPI support
  * Update d/watch for new download page
  * New upstream version 8.2.30
   + [CVE-2025-14180]: Fixed GHSA-8xr5-qppj-gvwj (PDO quoting result null
     deref).
   + [CVE-2025-14178]: Fixed GHSA-h96m-rvf9-jgm2 (Heap buffer overflow in
     array_merge()).
   + [CVE-2025-14177]: Fixed GHSA-3237-qqm7-mfv7 (Information Leak of
     Memory in getimagesize).  

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Dec 2025 21:05:01 +0100

php8.2 (8.2.29-7) unstable; urgency=medium

  * Or just use /bin/sed; that should work everywhere

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 10:25:23 +0100

php8.2 (8.2.29-6) unstable; urgency=medium

  * Use command -v sed to resolve path to SED
  * Workaround make $(shell ...) command unable to execute builtins

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 08:55:48 +0100

php8.2 (8.2.29-5) unstable; urgency=medium

  * Also update the d/patches/series to fix the build

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Jul 2025 09:05:41 +0200

php8.2 (8.2.29-4) unstable; urgency=medium

  * Override ICU_CXXFLAGS instead of patching ext/intl/config.m4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 12 Jul 2025 11:44:22 +0200

php8.2 (8.2.29-3) unstable; urgency=medium

  * Remove libxmltok1-dev from Build-Depends (Closes: #871826)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Jul 2025 17:37:32 +0200

php8.2 (8.2.29-2) unstable; urgency=medium

  * Move setting ICU_CXXFLAGS to the right place in d/rules
  * Use ICU >= 75 version to determine the need for C++11 or C++17

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Jul 2025 07:55:09 +0200

php8.2 (8.2.29-1) unstable; urgency=medium

  * Set PHP_BUILD_PROVIDER to Debian with option to override this from
    shell environment
  * New upstream version 8.2.29

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Jul 2025 15:01:53 +0200

php8.2 (8.2.28-1) unstable; urgency=medium

  * Disable the upstream test suite for unsupported PHP release
  * New upstream version 8.2.28

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 18:51:14 +0100

php8.2 (8.2.27-3) unstable; urgency=medium

  * Revert "Tighten build dependency on libgd2 to enable AVIF support"
  * Just rebuild with updated libgd2 on systems where available.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Mar 2025 14:54:25 +0100

php8.2 (8.2.27-2) unstable; urgency=medium

  * Tighten build dependency on libgd2 to enable AVIF support

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Mar 2025 14:47:45 +0100

php8.2 (8.2.27-1) unstable; urgency=medium

  * New upstream version 8.2.27

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Dec 2024 07:20:41 +0100

php8.2 (8.2.26-4) unstable; urgency=medium

  * Remove the /usr/lib/libphp.so symbolic link if unowned
    (Closes: #1035798)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 08:33:26 +0100

php8.2 (8.2.26-3) unstable; urgency=medium

  * Revert "ext/gmp: gmp_pow fix FPE with large values" patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Nov 2024 18:19:29 +0100

php8.2 (8.2.26-2) unstable; urgency=medium

  * Fix GH-16870: gmp_pow(64, 11) throws overflow exception

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Nov 2024 15:40:21 +0100

php8.2 (8.2.26-1) unstable; urgency=medium

  * New upstream version 8.2.26 (Closes: #1088688)
   + Heap-Use-After-Free in sapi_read_post_data Processing in CLI SAPI Interface.
   + [CVE-2024-8929]: Leak partial content of the heap through heap buffer
     over-read.
   + [CVE-2024-8932]: OOB access in ldap_escape.
   + [CVE-2024-11233]: Single byte overread with
     convert.quoted-printable-decode filter.     
   + [CVE-2024-11234]: Configuring a proxy in a stream context might allow
     for CRLF injection in URIs.
   + [CVE-2024-11236]: Integer overflow in the dblib quoter causing OOB
     writes.
   + [CVE-2024-11236]: Integer overflow in the firebird quoter causing OOB
     writes.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Nov 2024 06:45:50 +0100

php8.2 (8.2.25-1) unstable; urgency=medium

  * New upstream version 8.2.25

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Oct 2024 11:39:41 +0100

php8.2 (8.2.24-1) unstable; urgency=medium

  * New upstream version 8.2.24
   + [CVE-2024-8926]: Bypass of CVE-2024-4577, Parameter Injection
     Vulnerability
   + [CVE-2024-8927]: cgi.force_redirect configuration is bypassable due
     to the environment variable collision
   + [CVE-2024-8927]: Logs from FPM childrens may be altered
   + [CVE-2024-8925]: Erroneous parsing of multipart form data

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2024 05:52:57 +0200

php8.2 (8.2.23-1) unstable; urgency=medium

  * New upstream version 8.2.23

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Aug 2024 11:13:51 +0200

php8.2 (8.2.22-1) unstable; urgency=medium

  * New upstream version 8.2.22

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Aug 2024 17:31:20 +0200

php8.2 (8.2.21-1) unstable; urgency=medium

  * New upstream version 8.2.21
  * Add Restart=on-failure to the systemd service file
  * Remove the patch that fixed GH-14480 (merged upstream)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Jul 2024 17:15:46 +0200

php8.2 (8.2.20-3) unstable; urgency=medium

  * Add Breaks on extensions using php_strlcpy (Closes: #1074167)

