=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
-Build-Depends: apache2-dev (>= 2.4),
+Build-Depends: debhelper (>= 9.20160709~),
+               dh-apache2,
+               dpkg-dev (>= 1.16.1~),
+               apache2-bin (>= 2.4),
+               apache2-dev (>= 2.4),
                autoconf (>= 2.63),
                automake,
                bison,
                chrpath,
-               debhelper (>= 9.20160709~),
                default-libmysqlclient-dev | libmysqlclient-dev,
-               dh-apache2,
-               dpkg-dev (>= 1.16.1~),
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
                flex,
                freetds-dev,
@@ -60,14 +61,14 @@
                libwebp-dev,
                libwrap0-dev,
                libxml2-dev,
-               libxmltok1-dev,
                libxslt1-dev (>= 1.0.18),
                libzip-dev (>= 1.0.0),
                locales-all | language-pack-de,
                netbase,
                netcat-openbsd,
+               php-common,
                re2c,
-               systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
+               systemtap-sdt-dev,
                tzdata,
                unixodbc-dev,
                zlib1g-dev
@@ -81,8 +82,7 @@
 Package: libapache2-mod-php8.2
 Section: httpd
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -109,8 +109,7 @@
 
 Package: libphp8.2-embed
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -153,10 +152,55 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
+Package: php8.2-bcmath
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php-bcmath:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             ${php-bcmath:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-bcmath:Replaces}
+Breaks: ${php-bcmath:Breaks}
+Conflicts: ${php-bcmath:Conflicts}
+Provides: ${php-bcmath:Provides}
+Recommends: ${php-bcmath:Recommends}
+Description: Bcmath module for PHP
+ This package provides the Bcmath module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
+Package: php8.2-bz2
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php-bz2:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             ${php-bz2:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-bz2:Replaces}
+Breaks: ${php-bz2:Breaks}
+Conflicts: ${php-bz2:Conflicts}
+Provides: ${php-bz2:Provides}
+Recommends: ${php-bz2:Recommends}
+Description: bzip2 module for PHP
+ This package provides the bzip2 module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
 Package: php8.2-cgi
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -184,7 +228,6 @@
 Package: php8.2-cli
 Architecture: any
 Depends: libedit2 (>= 2.11-20080614-4),
-         libmagic1,
          media-types | mime-support,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -208,6 +251,75 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
+Package: php8.2-common
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php-common:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             ${php-common:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-common:Replaces}
+Breaks: ${php-common:Breaks}
+Conflicts: ${php-common:Conflicts}
+Provides: ${php-common:Provides}
+Recommends: ${php-common:Recommends}
+Description: documentation, examples and common module for PHP
+ This package provides the documentation, examples and common module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
+Package: php8.2-curl
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php-curl:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             ${php-curl:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-curl:Replaces}
+Breaks: ${php-curl:Breaks}
+Conflicts: ${php-curl:Conflicts}
+Provides: ${php-curl:Provides}
+Recommends: ${php-curl:Recommends}
+Description: CURL module for PHP
+ This package provides the CURL module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
+Package: php8.2-dba
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php-dba:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             ${php-dba:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-dba:Replaces}
+Breaks: ${php-dba:Breaks}
+Conflicts: ${php-dba:Conflicts}
+Provides: ${php-dba:Provides}
+Recommends: ${php-dba:Recommends}
+Description: DBA module for PHP
+ This package provides the DBA module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
 Package: php8.2-dev
 Depends: autoconf (>= 2.63),
          automake (>= 1.11),
@@ -232,128 +344,9 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
-Package: php8.2-fpm
-Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
-         php8.2-cli,
-         php8.2-common (= ${binary:Version}),
-         php8.2-opcache,
-         procps,
-         systemd | systemd-tmpfiles,
-         tzdata,
-         ucf,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Provides: php-fpm,
-          php-json,
-          php8.2-json,
-          ${php:Provides}
-Suggests: php-pear
-Pre-Depends: ${misc:Pre-Depends}
-Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
- This package provides the Fast Process Manager interpreter that runs
- as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
- probably want the libapache2-mod-php8.2 package.
- .
- ${php:Extensions}
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
- open source general-purpose scripting language that is especially suited
- for web development and can be embedded into HTML.
-
-Package: php8.2-phpdbg
-Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
-         php8.2-cli,
-         php8.2-common (= ${binary:Version}),
-         php8.2-opcache,
-         tzdata,
-         ucf,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Provides: php-json,
-          php-phpdbg,
-          php8.2-json,
-          ${php:Provides}
-Recommends: php-readline
-Description: server-side, HTML-embedded scripting language (PHPDBG binary)
- This package provides the /usr/bin/phpdbg command interpreter, useful for
- stepthrough debugging of PHP code.
- .
- ${php:Extensions}
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
- open source general-purpose scripting language that is especially suited
- for web development and can be embedded into HTML.
-
-Package: php8.2-xsl
-Architecture: all
-Depends: php8.2-common,
-         php8.2-xml,
-         ${misc:Depends}
-Description: XSL module for PHP (dummy)
- This package is a transitional dummy package and can be safely
- removed.
-
-Package: php8.2-bcmath
-Architecture: any
-Depends: php-common (>= 1:81~),
-         ucf,
-         ${misc:Depends},
-         ${php:Depends},
-	 ${php-bcmath:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends},
-	     ${php-bcmath:Pre-Depends}
-Built-Using: ${php:Built-Using}
-Replaces: ${php-bcmath:Replaces}
-Breaks: ${php-bcmath:Breaks}
-Conflicts: ${php-bcmath:Conflicts}
-Provides: ${php-bcmath:Provides}
-Recommends: ${php-bcmath:Recommends}
-Description: Bcmath module for PHP
- This package provides the Bcmath module(s) for PHP.
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
- open source general-purpose scripting language that is especially suited
- for web development and can be embedded into HTML.
-
-Package: php8.2-bz2
-Architecture: any
-Depends: php-common (>= 1:81~),
-         ucf,
-         ${misc:Depends},
-         ${php:Depends},
-	 ${php-bz2:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends},
-	     ${php-bz2:Pre-Depends}
-Built-Using: ${php:Built-Using}
-Replaces: ${php-bz2:Replaces}
-Breaks: ${php-bz2:Breaks}
-Conflicts: ${php-bz2:Conflicts}
-Provides: ${php-bz2:Provides}
-Recommends: ${php-bz2:Recommends}
-Description: bzip2 module for PHP
- This package provides the bzip2 module(s) for PHP.
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
- open source general-purpose scripting language that is especially suited
- for web development and can be embedded into HTML.
-
-Package: php8.2-common
-Architecture: any
-Depends: php-common (>= 1:81~),
-         ucf,
-         ${misc:Depends},
-         ${php:Depends},
-	 ${php-common:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends},
-	     ${php-common:Pre-Depends}
-Built-Using: ${php:Built-Using}
-Replaces: ${php-common:Replaces}
-Breaks: ${php-common:Breaks}
-Conflicts: ${php-common:Conflicts}
+Package: php8.2-enchant
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php-enchant:Depends},
