=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,24 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+# Make the shell scripts fail after first failed command (important for SAPI loops)
+SHELL := /bin/sh -e
+
 # Hardcode correct absolute path to sed
-export ac_cv_path_SED = $(shell command -v sed)
+export ac_cv_path_SED := /bin/sed
+export SED := /bin/sed
 
 SANE_ARCHS := amd64 i386 arm64
 
 # Enable parallel builds
 PARALLEL=--parallel
-
-# Enable this for debugging the sed scripts
-#SED=$(CURDIR)/debian/sedsed
-export SED := /bin/sed
-
-# Make the shell scripts fail after first failed command (important for SAPI loops)
-SHELL := /bin/sh -e
 
 # enable dpkg build flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+export PHP_BUILD_PROVIDER ?= Debian
 
 export DEB_HOST_MULTIARCH
 PHP_SOURCE_VERSION   := $(DEB_VERSION)
@@ -35,6 +34,14 @@
 PHP_MINOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$2}')
 PHP_RELEASE_VERSION  := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$3}')
 
+ICU_VERSION := $(shell dpkg -s libicu-dev | $(SED) -ne 's/^Version: \(.*\)$$/\1/p')
+
+ifeq ($(shell dpkg --compare-versions $(ICU_VERSION) ge 75;echo $$?),0)
+export ICU_CXXFLAGS := -std=c++17
+else
+export ICU_CXXFLAGS := -std=c++11
+endif
+
 # Enable ZTS build if $(DEB_SOURCE) ends with -zts
 ZTS=$(shell echo $(DEB_SOURCE) | sed 's/php$(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)//')
 ifeq ($(ZTS),-zts)
@@ -48,20 +55,21 @@
 ifneq ($(DEB_SOURCE),php$(PHP_NAME_VERSION))
 $(error $(DEB_SOURCE) != php$(PHP_NAME_VERSION))
 endif
-REAL_TARGETS         := apache2 phpdbg embed fpm cgi cli
+REAL_TARGETS         := apache2 phpdbg embed fpm litespeed cgi cli
 EXTRA_TARGETS        := ext
 TARGETS              := $(EXTRA_TARGETS) $(REAL_TARGETS)
 
 # Special package names
-PHP_PHP      := php$(PHP_NAME_VERSION)
-PHP_COMMON   := php$(PHP_NAME_VERSION)-common
-PHP_FPM      := php$(PHP_NAME_VERSION)-fpm
-PHP_LIBEMBED := libphp$(PHP_NAME_VERSION)-embed
-PHP_DEV      := php$(PHP_NAME_VERSION)-dev
-PHP_APACHE2  := libapache2-mod-php$(PHP_NAME_VERSION)
-PHP_CGI      := php$(PHP_NAME_VERSION)-cgi
-PHP_CLI      := php$(PHP_NAME_VERSION)-cli
-PHP_PHPDBG   := php$(PHP_NAME_VERSION)-phpdbg
+PHP_PHP       := php$(PHP_NAME_VERSION)
+PHP_COMMON    := php$(PHP_NAME_VERSION)-common
+PHP_FPM       := php$(PHP_NAME_VERSION)-fpm
+PHP_LIBEMBED  := libphp$(PHP_NAME_VERSION)-embed
+PHP_DEV       := php$(PHP_NAME_VERSION)-dev
+PHP_APACHE2   := libapache2-mod-php$(PHP_NAME_VERSION)
+PHP_LITESPEED := php$(PHP_NAME_VERSION)-litespeed
+PHP_CGI       := php$(PHP_NAME_VERSION)-cgi
+PHP_CLI       := php$(PHP_NAME_VERSION)-cli
+PHP_PHPDBG    := php$(PHP_NAME_VERSION)-phpdbg
 
 # Generic commands
 
@@ -95,7 +103,7 @@
 LIBTOOL_VERSION := $(shell dpkg-query -f'$${Version}' -W libtool)
 
 # Disable the test now
-RUN_TESTS := yes
+RUN_TESTS := no
 ifeq (nocheck,$(filter nocheck,$(DEB_BUILD_PROFILES)))
   $(warning Disabling tests due DEB_BUILD_PROFILES)
   DEB_BUILD_OPTIONS += nocheck
@@ -116,12 +124,6 @@
   CONFIGURE_PCRE_JIT := --without-pcre-jit
 endif
 
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 ia64 powerpc))
-  CONFIGURE_DTRACE_ARGS := --enable-dtrace
-else
-  CONFIGURE_DTRACE_ARGS := --disable-dtrace
-endif
-
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   CONFIGURE_SYSTEMD := --with-fpm-systemd
   CONFIGURE_APPARMOR := --with-fpm-apparmor
@@ -140,6 +142,12 @@
 endif
 DEB_CFLAGS_MAINT_APPEND += -Wall -pedantic -fsigned-char -fno-strict-aliasing 
 DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)
+
+# Secure DNS Telemetry (not enabled in build by default)
+-include /usr/lib/php/php-common.mk
+DEB_CFLAGS_MAINT_APPEND += \
+	-DTELEMETRY_PACKAGE='\"$(DEB_SOURCE)\"' \
+	-DTELEMETRY_VERSION='\"$(DEB_VERSION)\"'
 
 # OpenSSL 3.0 support
 DEB_CFLAGS_MAINT_APPEND += -DOPENSSL_SUPPRESS_DEPRECATED
@@ -179,6 +187,7 @@
 		--disable-debug \
 		--disable-rpath \
 		--disable-static \
+		--enable-dtrace \
 		--with-pic \
 		--with-layout=GNU \
 		--without-pear \
@@ -195,7 +204,6 @@
 		--with-zlib=/usr \
 		  --with-zlib-dir=/usr \
 		$(CONFIGURE_ZTS) \
-		$(CONFIGURE_DTRACE_ARGS) \
 		$(CONFIGURE_PCRE_JIT)
 
 # disable all SAPIs in extension build
@@ -230,10 +238,3 @@
 export embed_config = \
 		--prefix=/usr --enable-embed --enable-cli --disable-cgi --disable-phpdbg \
 		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/embed \
-		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/embed/conf.d \
-		$(COMMON_CONFIG) \
-		--without-mm \
-		--enable-pcntl
-
-export fpm_config = \
-		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
